class Origami::HomeController < BaseOrigamiController
 before_action :set_dining, only: [:show]

  def index
    @tables = Table.all.active.order('status desc')
    @rooms = Room.all.active.order('status desc')
    @complete = Sale.all
    @orders = Order.all.order('date desc')
    # @shift = ShiftSale.current_open_shift(current_user.id)
  end

 # origami table detail
  def show
    @tables = Table.all.active.order('status desc')
    @rooms = Room.all.active.order('status desc')
    @complete = Sale.all
    @orders = Order.all.order('date desc')
    @status_order = ""
    @status_sale = ""
    @sale_array = Array.new

    @dining.bookings.active.each do |booking|
         if booking.sale_id.nil? && booking.booking_status != 'moved'
           @order_items = Array.new
           booking.booking_orders.each do |booking_order|
              order = Order.find(booking_order.order_id)
              if (order.status == "new")
                @obj_order = order
                @customer = order.customer
                @date = order.created_at
                order.order_items.each do |item|
                  @order_items.push(item)
                end
              end
           end
           @status_order = 'order'
         else
          sale = Sale.find(booking.sale_id)
           if sale.sale_status != "completed" && sale.sale_status != 'void'
             puts "enter"
             @sale_array.push(sale)
             if @status_order == 'order'
               @status_order = 'sale'
             end
             @date = sale.created_at
             @status_sale = 'sale'
             @obj_sale = sale
             @customer = sale.customer
           end
         end
     end
  end

private

def set_dining
   @dining = DiningFacility.find(params[:dining_id])
end

end
